# Uses of Enum Class
java.time.temporal.ChronoUnit

Packages that use ChronoUnit
Package
Description
java.time.temporal
Access to date and time using fields and units, and date time adjusters.
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of ChronoUnit in java.time.temporal

Methods in java.time.temporal that return ChronoUnit
Modifier and Type
Method
Description
`static ChronoUnit`
ChronoUnit.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static ChronoUnit[]`
ChronoUnit.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ChronoUnit in java.util.concurrent

Methods in java.util.concurrent that return ChronoUnit
Modifier and Type
Method
Description
`ChronoUnit`
TimeUnit.`toChronoUnit()`
Converts this `TimeUnit` to the equivalent `ChronoUnit`.
Methods in java.util.concurrent with parameters of type ChronoUnit
Modifier and Type
Method
Description
`static TimeUnit`
TimeUnit.`of​(ChronoUnit chronoUnit)`
Converts a `ChronoUnit` to the equivalent `TimeUnit`.